package room

import (
	"github.com/labstack/echo/v5"
	"github.com/pocketbase/pocketbase"
	"htwkalender/service/db"
	"net/http"
)

func GetRooms(c echo.Context, app *pocketbase.PocketBase) error {
	rooms := db.GetRooms(app)
	return c.JSON(http.StatusOK, rooms)
}

func GetRoomScheduleForDay(c echo.Context, app *pocketbase.PocketBase, room string, date string) error {
	events := db.GetRoomScheduleForDay(app, room, date)
	return c.JSON(http.StatusOK, events)
}
